Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-19425

No trend graph for view containing multiple warning types

    XMLWordPrintable

Details

    • Bug
    • Status: Closed (View Workflow)
    • Major
    • Resolution: Fixed
    • warnings-plugin
    • None
    • Ubuntu 12.04 Server VM

    Description

      If I have a dashboard View that has jobs for PyLint and JSLint, when trying to setup a trend graph it will not work because there are two kinds of lint issues. When I have a dashboard View that has only JSLint OR PyLint, but not both, I get to see the trend graph.

      So: PyLint job + separate JSLint job in same dashboard View = no trend graph
      Just PyLint job or just JSLint job in same dashboard View = trend graph works.

      The message I see when I try to setup a trend graph in a dashboard View that has both JSLint and PyLint jobs is:

      "There are no results available. Did you enable the plug-in in the jobs that are part of this view?"

      NOTE: I am not able to select the type of warnings parser (JSLint or PyLint) when configuring the portlet, which I can for some other portlets.

      Attachments

        Activity

          drulli Ulli Hafner added a comment -

          Which portlet did you select?

          drulli Ulli Hafner added a comment - Which portlet did you select?
          kerrhome Shannon Kerr added a comment -

          For example (but I think I tried them all): Warnings trend graph (new vs. fixed)

          kerrhome Shannon Kerr added a comment - For example (but I think I tried them all): Warnings trend graph (new vs. fixed)
          drulli Ulli Hafner added a comment -

          Ok, I see. This trend graph is from the analysis-collector plug-in. Which version is installed in your system?

          The trends where you can select the parser are called Compiler Warnings ...

          drulli Ulli Hafner added a comment - Ok, I see. This trend graph is from the analysis-collector plug-in. Which version is installed in your system? The trends where you can select the parser are called Compiler Warnings ...
          kerrhome Shannon Kerr added a comment -

          Compiler Warnings Total did not work and did not let me choose a parser. For "which version" I typically always have the latest plugins installed. I like the bleeding edge

          kerrhome Shannon Kerr added a comment - Compiler Warnings Total did not work and did not let me choose a parser. For "which version" I typically always have the latest plugins installed. I like the bleeding edge

          Code changed in jenkins
          User: Ulli Hafner
          Path:
          src/main/resources/hudson/plugins/warnings/dashboard/WarningsTotalsGraphPortlet/WarningsGraphDescriptor/local-config.jelly
          http://jenkins-ci.org/commit/warnings-plugin/8dae894f6802ba7356689d30aef95e58c714ce36
          Log:
          [FIXED JENKINS-19425] Added missing parser configuration for portlet.

          scm_issue_link SCM/JIRA link daemon added a comment - Code changed in jenkins User: Ulli Hafner Path: src/main/resources/hudson/plugins/warnings/dashboard/WarningsTotalsGraphPortlet/WarningsGraphDescriptor/local-config.jelly http://jenkins-ci.org/commit/warnings-plugin/8dae894f6802ba7356689d30aef95e58c714ce36 Log: [FIXED JENKINS-19425] Added missing parser configuration for portlet.
          kerrhome Shannon Kerr added a comment -

          Looks great! Thanks very much Ulli.

          kerrhome Shannon Kerr added a comment - Looks great! Thanks very much Ulli.
          kerrhome Shannon Kerr added a comment -

          Requested functionality added.

          kerrhome Shannon Kerr added a comment - Requested functionality added.

          People

            drulli Ulli Hafner
            kerrhome Shannon Kerr
            Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved: